Bug 1658308 - Customer cannot delete versioned bucket
Summary: Customer cannot delete versioned bucket
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RGW-Multisite
Version: 3.1
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: z1
: 3.2
Assignee: J. Eric Ivancich
QA Contact: Tejas
John Brier
URL:
Whiteboard:
Depends On:
Blocks: 1629656 1690930
TreeView+ depends on / blocked
 
Reported: 2018-12-11 17:54 UTC by Bob Emerson
Modified: 2019-03-20 13:40 UTC (History)
14 users (show)

Fixed In Version: RHEL: ceph-12.2.8-67.el7cp Ubuntu: ceph_12.2.8-52redhat1xenial
Doc Type: Bug Fix
Doc Text:
.Buckets with false entries can now be deleted as expected Previously, bucket indices could include "false entries" that did not represent actual objects and that resulted from a prior bug. Consequently, during the process of deleting such buckets, encountering a false entry caused the process to stop and return an error code. With this update, when a false entry is encountered, Ceph ignores it, and deleting buckets with false entries works as expected.
Clone Of:
: 1690930 (view as bug list)
Environment:
Last Closed: 2019-03-07 15:51:12 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0475 None None None 2019-03-07 15:51:21 UTC
Github ceph ceph pull 26081 None None None 2019-01-23 21:45:03 UTC
Github ceph ceph pull 26231 None None None 2019-01-31 21:59:38 UTC
Ceph Project Bug Tracker 38007 None None None 2019-01-22 17:08:01 UTC
Ceph Project Bug Tracker 38134 None None None 2019-01-31 21:59:38 UTC

Comment 73 errata-xmlrpc 2019-03-07 15:51:12 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0475


Note You need to log in before you can comment on or make changes to this bug.